# Class BamConverter

java.lang.Object
htsjdk.samtools.BamConverter

public class BamConverter extends Object
Simple command-line tool for reading and optionally converting BAM files, primarily for experimenting with BAM read-path profiling.

Usage:

      java -cp htsjdk.jar htsjdk.samtools.BamConverter input.bam [output.bam]

If no output is specified, records are read and iterated but not written.

## Constructor Summary

Constructors
Constructor
Description
`BamConverter()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`
Entry point.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BamConverter

public BamConverter()

## Method Details

### main

public static void main(String[] args)
Entry point. Parses command-line arguments and performs the read/conversion.

Parameters:
  `args` - command-line arguments (see USAGE for details)